define({"706":{i:0.000471325765159996,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Content class and content property workflow.htm",a:"Here’s the basic procedure for working with content classes and content properties: Create one or more content classes for the tenant.  Give each class a meaningful name.  For example, if a class will contain object properties that pertain to medical images, you could name it DICOM.  (DICOM is a ...",t:"Content class and content property workflow"},"707":{i:0.000295166975831898,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Content property definitions.htm",a:"The definition of a content property consists of: A name for the property. The XPath expression that identifies the property values. The data type of the property values. For numeric and datetime data types, the format of the property values. An indication of whether the property is single-valued or ...",t:"Content property definitions"},"708":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Content property names.htm",a:"When you define a content property, you specify a name for it.  Content property names must be from one through 25 characters long, can contain only alphanumeric characters and underscores (_), and are case sensitive.  White space is not allowed. Content property names should be intuitive for users ...",t:"Content property names"},"709":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Content property expressions.htm",a:"For each content property you create, you specify an XPath expression.  An XPath expression is an instruction for navigating an XML document to find an element or attribute value. XPath expressions use the XPath language.  HCP supports the full syntax of this language.  The examples in this section ...",t:"Content property expressions"},"710":{i:0.000440179749319208,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Content property data types.htm",a:"Each content property has a data type that determines how the property values are treated by the metadata query engine.  The possible data types are: String — The metadata query engine indexes the value as a text string.  The value is handled as a single unit, even if it contains white space.  Users ...",t:"Content property data types"},"711":{i:0.000425012405427591,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Format for the integer and float data types.htm",a:"For a content property with the integer or float data type, you can specify a format that values needs to match in order to be indexed.  The following sections include basic information about these formats.  You can find more information at: ...",t:"Format for the integer and float data types"},"712":{i:0.000425012405427591,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Datetime data type formats.htm",a:"For a content property with the datetime data type, you can specify a format that values needs to match in order to be indexed.  The format consists of a pattern of letters, optional separators, and optional quoted text.  The letters represent date or time components, as outlined in the table below. ...",t:"Datetime data type formats"},"713":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Multivalued content properties.htm",a:"A content property is defined as either single-valued or multivalued: If you define a content property as single-valued, the metadata query engine indexes only the first occurrence of it for any given object, regardless of how many times it occurs in the custom metadata XML for that object. If you ...",t:"Multivalued content properties"},"714":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Content properties extracted from sample XML.htm",a:"When working with content properties in the Tenant Management Console, you can supply sample well-formed XML and have HCP extract content properties from that XML.  You can then select which of those properties you want to add to a content class. HCP extracts only content properties for XPath ...",t:"Content properties extracted from sample XML"},"715":{i:0.00080191264320942,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Content property files.htm",a:"You can export the content properties for a content class to a file that you can then use to import the properties to another class.  The exported file contains XML definitions of the content properties in this format: \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\" ?\u003e  \u003ccontentClass\u003e  ...",t:"Content property files"},"716":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/About the Search page.htm",a:"To manage search and indexing for a tenant, including viewing, creating, and managing content classes and content properties, you use the Search page in the Tenant Management Console.  To display this page: In the top-level menu, mouse over Services to display a secondary menu. In the secondary ...",t:"About the Search page"},"717":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Managing the content class list.htm",a:"The Search page lists existing content classes.  For each content class, the list shows the content class name. By default, the content class list includes all existing content classes.  The content classes are listed 20 at a time in ascending order by name. You can page through, sort, and filter ...",t:"Managing the content class list"},"718":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Understanding the content property list for a content class.htm",a:"To view the content properties defined for a content class, click on the content class name in the content class list.  The panel that opens (the Settings panel) contains a list of the content properties in that content class.  The properties are listed in alphabetical order by name. For each ...",t:"Understanding the content property list for a content class"},"719":{i:0.000374816447609036,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Creating a content class.htm",a:"When you create a content class, you can create content properties for it at the same time.  Alternatively, you can create a content class with no properties and add properties to it later. To create a content class, on the Search page: Click on Create Content Class. In the Name field, type a name ...",t:"Creating a content class"},"720":{i:0.000295166975831898,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Managing content properties for a content class.htm",a:"Managing content properties for a content class You can add, modify, and delete content properties for a content class at any time.  You can also test the properties against XML that you supply.  Additionally, you can export the properties to a content property file.",t:"Managing content properties for a content class"},"721":{i:0.000317583297835363,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Adding, modifying, and deleting content properties.htm",a:"To add, modify, or delete content properties for a content class, on the Search page: In the list of content classes in the Settings panel, click on the name of the content class for which you want to add, modify, or delete content properties. Do one or more of these: To add content properties, do ...",t:"Adding, modifying, and deleting content properties"},"722":{i:0.000291923618917074,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Adding content properties individually.htm",a:"Adding content properties individually To add an individual content property to the content property list for a content class: Above the content property list, click on Add. In the new row that appears in the content properties list, fill in the definition for the new content property.",t:"Adding content properties individually"},"723":{i:0.000291923618917074,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Extracting content properties from sample XML.htm",a:"To extract content properties from sample XML and add them to the content property list for a content class: In the Sample Custom Metadata field, type or paste the well-formed XML from which you want to extract properties. Above the content property list, click on Extract. The Extract Content ...",t:"Extracting content properties from sample XML"},"724":{i:0.000291923618917074,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Importing content properties from a content property file.htm",a:"To import content properties from a content property file and add them to the content property list for a content class: Above the content property list, click on Import. In the Import Content Properties window, click on the Browse button.  Then select the content property file you want. Click on ...",t:"Importing content properties from a content property file"},"725":{i:0.000371573090694212,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Testing content properties.htm",a:"You can test the definitions of the content properties for a content class at any time.  You do this by having HCP extract content property values from sample XML that you supply.  The test applies to all the content properties in the content property list, including those that have not yet been ...",t:"Testing content properties"},"726":{i:0.000371573090694212,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Exporting content properties.htm",a:"You can export the definitions of the content properties for a content class to a content property file at any time.  The resulting file includes the definition of each property in the list, including those that have not yet been committed. To export the definitions of the content properties in the ...",t:"Exporting content properties"},"727":{i:0.000295166975831898,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Changing the namespaces associated with a content class.htm",a:"You can change the associations between namespaces and content classes at any time.  However, only namespaces that are search enabled can be associated with content classes. When you change the namespaces associated with a content class, you have the option of reindexing all the affected namespaces. ...",t:"Changing the namespaces associated with a content class"},"728":{i:0.000411862945382783,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Reindexing namespaces associated with a content class.htm",a:"You can reindex the namespaces associated with a content class at any time.  You might do this for example, if you add a new content property to the content class. To reindex one or more of the namespaces associated with a content class, on the Search page: In the list of content classes, click on ...",t:"Reindexing namespaces associated with a content class"},"729":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Renaming a content class.htm",a:"You can rename a content class at any time.  Renaming a content class has no effect on the associations between namespaces and that class. To rename a content class, on the Search page: In the list of content classes, click on the name of the content class you want to rename. In the Name field in ...",t:"Renaming a content class"},"730":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Deleting a content class.htm",a:"You can delete a content class at any time.  When you delete a content class, you have the option of reindexing all the namespaces associated with that class.  If you choose to do this, the metadata query engine reindexes each of those namespaces starting from the time the namespace was created. To ...",t:"Deleting a content class"},"731":{i:0.0002438822355659,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Managing search and indexing for an individual namespace.htm",a:"You can change the search and indexing settings for an individual namespace at any time.  You can: Enable or disable search.  Disabling search also: Disables all indexing for the namespace Removes the objects in the namespace from the metadata query engine and HCP search facility indexes Deletes the ...",t:"Managing search and indexing for an individual namespace"},"732":{i:0.000587018396004689,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Setting search and indexing options.htm",a:"To change the search and indexing options for an individual namespace, in the Search panel for the namespace: Optionally, select or deselect the Enable search option to enable or disable search, respectively. If the Enable search option is selected: Optionally, select or deselect the Enable indexing ...",t:"Setting search and indexing options"},"733":{i:0.000411862945382783,u:"../Content/Managing a Tenant and Its Namespaces/Managing search and indexing/Reindexing an individual namespace.htm",a:"To reindex an individual namespace, in the Search panel for the namespace: In the Reindex section of the Search panel: In the first field, select either: Metadata Query Engine to have the metadata query engine reindex the namespace HCP Search Facility to have the HCP search facility reindex the ...",t:"Reindexing an individual namespace"},"734":{i:0.000773608790606074,u:"../Content/Managing a Tenant and Its Namespaces/Working with retention classes/Working with retention classes.htm",a:"Retention classes provide a means to consistently manage data that must remain in a namespace for a specific amount of time.  For example, if local law requires that medical records be kept for a specified number of years, you can use a retention class to enforce that requirement. Retention classes ...",t:"Working with retention classes"},"735":{i:0.000564481592600212,u:"../Content/Managing a Tenant and Its Namespaces/Working with retention classes/About retention classes.htm",a:"A retention class is a named value that, when used as the retention setting for an object, specifies how long the object must remain in its namespace.  This value can be: An offset from the time the object is created.  You specify an offset as numbers of years, months, and/or days. For example, you ...",t:"About retention classes"},"736":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Working with retention classes/Understanding the retention class list.htm",a:"The Retention Classes panel lists the retention classes defined for a namespace.  For each class, the list shows: The retention class name. Whether the retention class value is an offset, special value, or fixed date. The retention class value. A value that’s an offset has this format: A+ny+nm+nd In ...",t:"Understanding the retention class list"},"737":{i:0.000440179749319208,u:"../Content/Managing a Tenant and Its Namespaces/Working with retention classes/Creating a retention class.htm",a:"To create a retention class in a given namespace, in the Retention Classes panel: Click on Create Retention Class. In the Create Retention Class panel: In the Retention Class Name field, type a name for the retention class.  Retention class names must be from one through 64 characters long, can ...",t:"Creating a retention class"},"738":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Working with retention classes/Modifying a retention class.htm",a:"You can increase the value of a retention class at any time.  These changes increase the value: From an offset to a larger offset From Deletion Allowed to an offset or Deletion Prohibited If the namespace is in enterprise mode, you can decrease the value of a retention class at any time.  These ...",t:"Modifying a retention class"},"739":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Working with retention classes/Deleting a retention class.htm",a:"You can delete a retention class only if the namespace in which the class is defined is in enterprise mode.  You cannot delete a retention class in a namespace that’s in compliance mode. When you delete a retention class, the retention setting of each object in the class changes to Deletion ...",t:"Deleting a retention class"},"740":{i:0.000430240990110876,u:"../Content/Managing a Tenant and Its Namespaces/Using privileged delete/Using privileged delete.htm",a:"Namespaces in enterprise mode support privileged delete operations.  Users and applications with the applicable data access permissions can perform these operations through the HTTP namespace access protocol, the HCP Search Console, and HCP Data Migrator.  If you have the compliance role through ...",t:"Using privileged delete"},"741":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Using privileged delete/About privileged delete.htm",a:"Privileged delete is an HCP feature that enables you to delete objects even if they are under retention.  This feature is available only for namespaces in enterprise mode.  If a namespace is in compliance mode, you cannot delete objects that are under retention. Privileged delete supports government ...",t:"About privileged delete"},"742":{i:0.000440179749319208,u:"../Content/Managing a Tenant and Its Namespaces/Using privileged delete/Object specification.htm",a:"With privileged delete, you can delete only one object at a time.  To specify the object, you need to include the full path to it in its namespace (starting after rest or data).  The path must begin with a forward slash (/). For example, to delete the Lee_Green_1254 object from the ...",t:"Object specification"},"743":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Using privileged delete/Performing a privileged delete.htm",a:"To use privileged delete to delete or purge an object: In the top-level menu in the Tenant Management Console, click on Namespaces. In the list of namespaces, click on the name of the namespace you want. In the row of tabs below the namespace name, click on Compliance. On the left side of the ...",t:"Performing a privileged delete"},"744":{i:0.0002438822355659,u:"../Content/Managing a Tenant and Its Namespaces/Downloading HCP Data Migrator/Downloading HCP Data Migrator.htm",a:"HCP Data Migrator runs on both Windows and Unix clients.  You download the applicable HCP-DM installation file from the Tenant Management Console.  That file is then used to install HCP-DM on the client computers. This chapter describes the system requirements for running HCP-DM and contains ...",t:"Downloading HCP Data Migrator"},"745":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Downloading HCP Data Migrator/HCP-DM system requirements.htm",a:"HCP-DM runs on any Windows or Unix client that supports the Oracle Java Runtime Environment (JRE) version 7 update 6 or later.  The computer that runs HCP-DM must meet these minimum requirements: 1.6 Ghz processor 2 Gb RAM 100 Mbps Ethernet interface Windows clients should have the most recent ...",t:"HCP-DM system requirements"},"746":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Downloading HCP Data Migrator/Downloading the HCP-DM installation file.htm",a:"The HCP-DM installation file is: For Windows, either hcpdm.exe or hcpdm.zip For Unix, hcpdm.tgz To download the HCP-DM installation file you want to use, in the Tenant Management Console: In the top right corner of the Console window, mouse over the tools icon (   ) to open a dropdown menu. In the ...",t:"Downloading the HCP-DM installation file"},"747":{i:0.000370236528124365,u:"../Content/Managing a Tenant and Its Namespaces/Tenant Management Console alerts/Tenant Management Console alerts.htm",a:"The Tenant Management Console uses icons to report tenant and namespace status on the tenant Overview, Namespaces, and Search pages and on the namespace Overview panel.  The Console also uses icons to report conflicting user accounts on the Users page.  These icons, called alerts, are accompanied by ...",t:"Tenant Management Console alerts"},"748":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Tenant Management Console alerts/Tenant Overview page alerts.htm",a:"Tenant Overview page alerts",t:"Tenant Overview page alerts"},"749":{i:0.000526135367058083,u:"../Content/Managing a Tenant and Its Namespaces/Tenant Management Console alerts/Namespaces page alerts.htm",a:"Namespaces page alerts",t:"Namespaces page alerts"},"750":{i:0.000372961522162545,u:"../Content/Managing a Tenant and Its Namespaces/Tenant Management Console alerts/Namespaces Overview panel alerts.htm",a:"Namespaces Overview panel alerts",t:"Namespaces Overview panel alerts"},"751":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Tenant Management Console alerts/Search page alert.htm",a:"Search page alert",t:"Search page alert"},"752":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Tenant Management Console alerts/Users page alert.htm",a:"Users page alert",t:"Users page alert"},"753":{i:0.000486246063578298,u:"../Content/Managing a Tenant and Its Namespaces/Tenant log messages.htm",a:"The tenant log contains messages about events that happen at the tenant and namespace levels.  The table in this appendix lists the messages HCP can write to the tenant log.  The messages are listed in order by event ID. For each message, the table shows: The message ID The short form of the ...",t:"Tenant log messages"},"754":{i:0.00048933818496655,u:"../Content/Managing a Tenant and Its Namespaces/Browser configuration for single sign-on with Active Directory/Browser configuration for single sign-on with Active Directory.htm",a:"If a tenant is configured to support AD authentication, you can use a recognized AD user account to access the Tenant Management Console with single sign-on.  However, for this to work, the web browser you use to access the Console must be configured to support single sign-on. This appendix contains ...",t:"Browser configuration for single sign-on with Active Directory"},"755":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Browser configuration for single sign-on with Active Directory/Configuring Windows Internet Explorer for single sign-on.htm",a:"Before you set up single sign-on, you need to configure Windows Internet Explorer. The following instructions apply with Windows Internet Explorer 11. To configure Windows Internet Explorer for single sign-on with Active Directory: Open Internet Explorer. On the Tools menu, click on Internet ...",t:"Configuring Windows Internet Explorer for single sign-on"},"756":{i:0.000237933826058224,u:"../Content/Managing a Tenant and Its Namespaces/Browser configuration for single sign-on with Active Directory/Configuring Mozilla Firefox for single sign-on.htm",a:"To configure Mozilla Firefox for single sign-on with Active Directory: Open Firefox. In the address field in the Firefox window, enter: about:config In response to the warning message, click on the I’ll be careful, I promise! button. In the Preference Name list, double-click on ...",t:"Configuring Mozilla Firefox for single sign-on"},"757":{i:0.000237933826058224,u:"../Content/Replicating Tenants and Namespaces/Replication overview/Replication overview.htm",a:"Hitachi Content Platform (HCP) is the distributed, fixed-content, data storage system from Hitachi Vantara®.  An HCP system maintains a repository of objects that encapsulate fixed-content data and metadata that describes the data.  You can create a configuration wherein selected tenants and ...",t:"Replication overview"},"758":{i:0.000237933826058224,u:"../Content/Replicating Tenants and Namespaces/Replication overview/About replication.htm",a:"Replication, an HCP service, is the process of keeping selected tenants and namespaces in two HCP systems in sync with each other.  This entails copying object creations, object deletions, metadata changes, and other information between the two systems.  Typically, the two systems are in separate ...",t:"About replication"},"759":{i:0.000237933826058224,u:"../Content/Replicating Tenants and Namespaces/Replication overview/How replication works.htm",a:"To start the replication service, you create a replication link between the local system and another HCP system.  A replication link is a secure trust relationship between the two systems.  It determines what is replicated and how data is transmitted between the systems. Link types A replication ...",t:"How replication works"},"760":{i:0.000237933826058224,u:"../Content/Replicating Tenants and Namespaces/Replication overview/What is replicated.htm",a:"Replication works by tenant.  For each replication link, you select the HCP tenants to replicate on that link and, if you have administrative access to the tenant, which namespaces to include in replication of that tenant.  For the default tenant, you select the directories to replicate. Regardless ...",t:"What is replicated"},"761":{i:0.000237933826058224,u:"../Content/Replicating Tenants and Namespaces/Replication overview/Replication of HCP tenants.htm",a:"Part of the configuration of an HCP tenant is whether it’s eligible to be replicated.  A replication link can include only HCP tenants that are eligible to be replicated. Replicated tenants and namespaces When an HCP tenant is replicated, the replication service works only on selected namespaces ...",t:"Replication of HCP tenants"},"762":{i:0.000237933826058224,u:"../Content/Replicating Tenants and Namespaces/Replication overview/Replication of the default tenant.htm",a:"For the default tenant, the replication service works on one or more selected directories directly under fcfs_data in the default namespace.  The service replicates the entire directory hierarchy under each selected directory. Default namespace properties Directories in the default namespace on one ...",t:"Replication of the default tenant"},"763":{i:0.000237933826058224,u:"../Content/Replicating Tenants and Namespaces/Replication overview/Replication service processing.htm",a:"With an active/active link, the replication service runs on both HCP systems involved in the link.  With an active/passive link, the replication service runs only on the primary system.  The replication service starts on the applicable HCP systems or system the first time you add HCP tenants and/or ...",t:"Replication service processing"},"764":{i:0.000237933826058224,u:"../Content/Replicating Tenants and Namespaces/Replication overview/Replicated systems.htm",a:"Replication occurs between two separate HCP systems, each of which is complete in its own right.  Because replication is a software function, the two systems can have entirely different hardware configurations, including differing amounts of storage. The two systems in a replicated pair are ...",t:"Replicated systems"},"765":{i:0.000237933826058224,u:"../Content/Replicating Tenants and Namespaces/Replication overview/Replication and Active Directory authentication.htm",a:"An HCP system can be configured to support Windows® Active Directory® (AD) for user authentication.  Part of this configuration is the specification of an AD domain.  The domain determines the AD groups from which HCP group accounts can be created. If HCP is configured to support AD, HCP tenants can ...",t:"Replication and Active Directory authentication"},"766":{i:0.000237933826058224,u:"../Content/Replicating Tenants and Namespaces/Replication overview/Replication and RADIUS authentication.htm",a:"An HCP system can be configured to support RADIUS for user authentication.  If HCP is configured this way, HCP tenants can be configured to allow access by RADIUS-authenticated users.  Also, if HCP is configured this way, RADIUS-authenticated users with system-level user accounts can access the ...",t:"Replication and RADIUS authentication"},"767":{i:0.000237933826058224,u:"../Content/Replicating Tenants and Namespaces/Replication overview/DPL, service plans, and cross-release replication.htm",a:"In release 6.x of HCP, each namespace has a data protection level (DPL) setting that applies to each object in the namespace.  This setting determines the number of copies of each object HCP should maintain in the repository. In release 7.0 of HCP, namespaces no longer have a DPL setting.  Instead, ...",t:"DPL, service plans, and cross-release replication"},"768":{i:0.000237933826058224,u:"../Content/Replicating Tenants and Namespaces/Replication overview/Replication topologies.htm",a:"An HCP system can have up to five outbound links and up to five inbound links.  An active/active link counts as both an outbound link and an inbound link.  The ability for a single system to participate in multiple links enables HCP to support various replication topologies. Replication can occur: ...",t:"Replication topologies"},});