define({"1181":{i:0.000395758904110954,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Request URL.htm",a:"Request URL The URL format in a metadata query API request depends on whether you use a hostname or IP address to connect to the HCP system and on the namespaces you want to query.",t:"Request URL"},"1182":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Connecting using a hostname.htm",a:"When connecting to HCP using a hostname, the URL format you use depends on the namespaces you are querying: To query one or more namespaces owned by an HCP tenant, use this format: http[s]://hcp-tenant-name.hcp-domain-name/query For example: https://europe.hcp.example.com/query To use this format, ...",t:"Connecting using a hostname"},"1183":{i:0.000395758904110954,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Connecting using an IP address.htm",a:"The core hardware for an HCP system consists of servers, called nodes, that are networked together. When you access an HCP system, your point of access is an individual node.  Typically, you let HCP choose the node on which to process a metadata query API request.  You can, however, use an IP ...",t:"Connecting using an IP address"},"1184":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Connecting using a hosts file.htm",a:"All operating systems have a hosts file that contains mappings from hostnames to IP addresses.  If the HCP system does not support DNS, you can use this file to enable access to tenants by hostname. The location of the hosts file depends on the client operating system: On Windows®, by default:  ...",t:"Connecting using a hosts file"},"1185":{i:0.000395758904110954,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Authentication.htm",a:"To use the metadata query management API, you need either a system-level or tenant-level user account that’s defined in HCP.  If HCP is configured to support Windows Active Directory® (AD), applications can also use an AD user account that HCP recognizes to access HCP through the metadata query API. ...",t:"Authentication"},"1186":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/HCP authentication through the metadata query management API.htm",a:"To authenticate with HCP through the metadata query management API, you need to construct an authentication token from a  system-level user account or a tenant-level user account and then submit it using a request header with all requests. Successful authentication requires encoding your account ...",t:"HCP authentication through the metadata query management API"},"1187":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Authentication token.htm",a:"An authentication token consists of a username in Base64-encoded format and a password that’s hashed using the MD5 hash algorithm, separated by a colon, like this: base64-encoded-username:md5-hashed-password  For example, here’s the token for the Base64-encoded username myuser and the MD5-hashed ...",t:"Authentication token"},"1188":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Authorization header.htm",a:"You use the HTTP Authorization request header to provide the authentication token for a metadata query API request.  The value of this header is HCP followed by the authentication token, in this format: Authorization: HCP authentication-token  For example, here’s the Authorization header for a user ...",t:"Authorization header"},"1189":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Active Directory user authentication through the metadata query management API.htm",a:"To authenticate with HCP with Active Directory, you need to construct an authentication token from a AD user account and then submit it using a request header with all requests. The username and password does not need to be encoded.",t:"Active Directory user authentication through the metadata query management API"},"1190":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Active Directory authentication token.htm",a:"Active Directory authentication token An AD authentication token consists of an AD username and password separated by a colon, like this: AD-username:AD-password For example, here’s the token for the username lgreen and the password p4ssw0rd: lgreen@example.com:p4sswOrd",t:"Active Directory authentication token"},"1191":{i:0.000574333320323882,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Active Directory authorization header.htm",a:"You use the HTTP Authorization request header to provide the authentication token for an AD user accessing HCP through the metadata query management API. The value of this header is AD followed by the authentication token, in this format: Authorization: AD authentication-token For example, here’s ...",t:"Active Directory authorization header"},"1192":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query requests/Query requests.htm",a:"Query requests This chapter describes how to construct both object-based and operation-based query requests.",t:"Query requests"},"1193":{i:0.000928369729030418,u:"../Content/HCP Metadata Query API Reference/Query requests/Request format.htm",a:"You use the HTTP POST method to send a metadata query API request to HCP.  The POST request for both object-based and operation-based queries has these elements: A request URL. For information on request URL formats, see  Request URL . Optionally, if the URL starts with an IP address, an HTTP Host ...",t:"Request format"},"1194":{i:0.000395758904110954,u:"../Content/HCP Metadata Query API Reference/Query requests/Object-based query requests.htm",a:"Object-based query requests The body of an object-based query request consists of entries in XML or JSON format.",t:"Object-based query requests"},"1195":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query requests/XML request body for object-based queries.htm",a:"The XML request body for an object-based query must contain a top-level queryRequest entry, an object entry, and a query entry.  All other entries are optional. The XML request body for an object-based query has the format shown below.  The entries under object can be specified in any order. ...",t:"XML request body for object-based queries"},"1196":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query requests/JSON request body for object-based queries.htm",a:"The JSON request body for an object-based query must contain an unnamed top-level entry, an object entry, and a query entry.  All other entries are optional. The JSON request body for an object-based query has the format shown below.  The entries under object can be specified in any order. { ...",t:"JSON request body for object-based queries"},"1197":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query requests/Request object body contents.htm",a:"Request object body contents The following sections describe the entries in an object-based metadata query API request body.",t:"Request object body contents"},"1198":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query requests/Top-level entry.htm",a:"Top-level entry XML has a single top-level queryRequest entry.  JSON has a corresponding unnamed top-level entry.  All request bodies must contain this entry.",t:"Top-level entry"},"1199":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query requests/object entry.htm",a:"object entry The object entry is required for object-based requests.  It must contain the query entry and can contain any combination of the other entries listed in the table below.",t:"object entry"},"1200":{i:0.000515011181066955,u:"../Content/HCP Metadata Query API Reference/Query requests/sort entry.htm",a:"You use the sort entry to specify the order in which object-based query results are listed.  The entry contains a comma-separated list of properties and a sort-order indicator, in this format: object-property[+(asc|desc)][,.object-property[+(asc|desc)]]... asc means sort in ascending order.  desc ...",t:"sort entry"},"1201":{i:0.000278383010710421,u:"../Content/HCP Metadata Query API Reference/Query requests/facets entry.htm",a:"You use the facets entry to request summary information for the returned values of specified object properties.  For each specified property, HCP returns a list of up to one hundred object property values that occur most frequently in the result set.  Each entry in the list has the number of objects ...",t:"facets entry"},"1202":{i:0.000278383010710421,u:"../Content/HCP Metadata Query API Reference/Query requests/Query expressions.htm",a:"With object-based queries, you specify a query expression in the query request entry.  Query expressions have this format: [+|-]criterion [[+|-]criterion]... In this expression, [+|-] is an optional Boolean operator and criterion is one of: A single text-based or property-based criterion. One or ...",t:"Query expressions"},"1203":{i:0.00189903810769889,u:"../Content/HCP Metadata Query API Reference/Query requests/Text-based criteria.htm",a:"Text-based criteria let you perform queries based on object paths and the full-text content of custom metadata.  Queries that use text-based criteria find objects with matching custom metadata only in namespaces that are configured to support full-text searches of custom metadata. To perform queries ...",t:"Text-based criteria"},"1204":{i:0.00193103222357424,u:"../Content/HCP Metadata Query API Reference/Query requests/Property-based criteria.htm",a:"Property-based criteria let you query for objects based on specified object property values.  The format for a simple property-based criterion is: property:value For example, this expression finds objects that are on hold: hold:true When querying for a value that’s a negative number, enclose the ...",t:"Property-based criteria"},"1205":{i:0.000316809882843735,u:"../Content/HCP Metadata Query API Reference/Query requests/Query expression considerations.htm",a:"These considerations apply to query expressions, whether they contain property-based criteria, text-based criteria, or a combination of both:If the query expression consists of a single criterion without a Boolean operator, objects in the result set must meet the criterion.  For example, this query ...",t:"Query expression considerations"},"1206":{i:0.00137864403156056,u:"../Content/HCP Metadata Query API Reference/Query requests/customMetadataContent property.htm",a:"To search for objects based on the full-text content of custom metadata, you specify the customMetadataContent property in a query expression.  Criteria that use this property find objects only in namespaces that have full-text indexing of custom metadata enabled. When custom metadata is indexed for ...",t:"customMetadataContent property"},"1207":{i:0.00137864403156056,u:"../Content/HCP Metadata Query API Reference/Query requests/aclGrant property.htm",a:"To query for objects based on the content of ACLs, you specify the aclGrant property in a query expression.  Valid values for this property have these formats: \"permissions\" \"permissions,USER[,location,username]\" \"permissions,GROUP,location,(ad-group-name|all_users|authenticated)\" In these formats: ...",t:"aclGrant property"},"1208":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query requests/Query expression examples.htm",a:"Here are some examples of query expressions that use both text-based criteria and property-based criteria: This expression returns metadata for objects that have a retention setting of Deletion Allowed, are not on hold, and may or may not have a path or custom metadata that contains the term report: ...",t:"Query expression examples"},"1209":{i:0.000526471930098805,u:"../Content/HCP Metadata Query API Reference/Query requests/Paged queries with object-based requests.htm",a:"To use a paged query with object-based requests: In the first request, use a count entry with a value of zero to get a response that does not include any object records but contains a totalResults value that specifies the  total number of objects that meet the query criteria. In each request after ...",t:"Paged queries with object-based requests"},"1210":{i:0.000387102675218527,u:"../Content/HCP Metadata Query API Reference/Query requests/Paged queries with 100,000 or fewer matching objects.htm",a:"If no more than 100,000 objects match the query criteria, use the offset entry to page through the result set.  In each request after the first one with a count value greater than 0, include an offset entry that specifies the number of results to skip when returning the next page of results.  For ...",t:"Paged queries with 100,000 or fewer matching objects"},"1211":{i:0.000387102675218527,u:"../Content/HCP Metadata Query API Reference/Query requests/Paged queries with more than 100,000 matching objects.htm",a:"If a large number of objects match the query criteria, a paged query can consume a large amount of memory.  If more than 100,000 objects match the query criteria, limit memory use by using multiple paged queries.  Each paged query should retrieve results for no more than 100,000 objects.  To do ...",t:"Paged queries with more than 100,000 matching objects"},"1212":{i:0.000395758904110954,u:"../Content/HCP Metadata Query API Reference/Query requests/Operation-based query requests.htm",a:"Operation-based query requests The body of an operation-based query request consists of entries in XML or JSON format.",t:"Operation-based query requests"},"1213":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query requests/XML request body for operation-based queries.htm",a:"XML request body for operation-based queries The XML request body for an operation-based query must contain a top-level queryRequest entry and, except when requesting all available information, an operation entry.  All other entries are optional.",t:"XML request body for operation-based queries"},"1214":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query requests/JSON request body for operation-based queries.htm",a:"The JSON request body for an operation-based query must contain an unnamed top-level entry and, except when requesting all available information, the operation entry.  All other entries are optional. The JSON request body has the format shown below.  Entries at each hierarchical level can be in any ...",t:"JSON request body for operation-based queries"},"1215":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query requests/Request operation body contents.htm",a:"Request operation body contents The following sections describe the entries in an operation-based metadata query API request body.",t:"Request operation body contents"},"1216":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query requests/operation entry.htm",a:"operation entry Except when requesting all available information, the operation entry is required for operation-based queries.  It can contain any combination of the entries listed in the table below.",t:"operation entry"},"1217":{i:0.00028849530687347,u:"../Content/HCP Metadata Query API Reference/Query requests/lastResult entry.htm",a:"lastResult entry Use the lastResult entry only in the second through final requests of a paged query.  This entry identifies the last record that was returned in the previous query so that HCP can retrieve the next set of records.  The entry contains the child entries described in the table below.",t:"lastResult entry"},"1218":{i:0.00028849530687347,u:"../Content/HCP Metadata Query API Reference/Query requests/systemMetadata entry.htm",a:"The systemMetadata entry specifies the criteria that the returned operation records must match.  The entry contains the child entries listed in the table below.  Some of the subentries, such as changeTime, have children.  In this table, the parent entries are immediately followed by their children.",t:"systemMetadata entry"},"1219":{i:0.000536584226261854,u:"../Content/HCP Metadata Query API Reference/Query requests/paged queries with operation-based requests.htm",a:"To use a paged query with operation-based query requests: Optionally, specify a count entry in each request body.  If you omit this entry, HCP returns ten thousand operation records per request. For each request after the first, specify a lastResult entry containing the values of the urlName, ...",t:"paged queries with operation-based requests"},"1220":{i:0.00343690700464083,u:"../Content/HCP Metadata Query API Reference/Query requests/Object properties.htm",a:"The table below describes the object properties that you can specify in these contexts: objectProperties entry sort entry Query entry In the sort and objectProperties entries, you specify only the object property name.  In query expressions, you specify both the property name and one or more values ...",t:"Object properties"},"1221":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query responses/Query responses.htm",a:"Query responses This chapter describes the response format for both object-based queries and operation-based queries.",t:"Query responses"},"1222":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query responses/Response body.htm",a:"The body of the response to a metadata query API request contains XML or JSON that lists the objects or operation records that match the request criteria.  Object-based query responses list objects.  Operation-based query responses return operation records. Each object or operation record is ...",t:"Response body"},"1223":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query responses/XML response bodies.htm",a:"XML response bodies The format of an XML query response differs depending on the type of the query.",t:"XML response bodies"},"1224":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query responses/XML reponse body for object-based queries.htm",a:"An XML response for an object-based query has this format: \u003c?xml version=\u00271.0\u0027 encoding=\u0027UTF-8\u0027?\u003e \u003cqueryResult xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"         xsi:noNamespaceSchemaLocation=\"/static/xsd/query-result-6.0.xsd\"\u003e     \u003cquery\u003e ...",t:"XML reponse body for object-based queries"},"1225":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query responses/XML response body for operation-based queries.htm",a:"An XML response for an operation-based query has this format: \u003c?xml version=\u00271.0\u0027 encoding=\u0027UTF-8\u0027?\u003e \u003cqueryResult xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"         \t \txsi:noNamespaceSchemaLocation=\"/static/xsd/query-result-6.0.xsd\"\u003e     \u003cquery          \tstart=\"start-time-in-milliseconds\" ...",t:"XML response body for operation-based queries"},"1226":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query responses/JSON response bodies.htm",a:"JSON response bodies The format of a JSON query response differs depending on the type of the query.",t:"JSON response bodies"},"1227":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query responses/JSON response body for object-based queries.htm",a:"A JSON response for an object-based query has this format: { \t    \"queryResult\":{ \t        \"query\":{ \t            \t\"expression\":\"query-request-entry\"         \t},         \t\"resultSet\":[{             \t\t{             \t    \t\"urlName\":\"object-url\",                 \t\t\t\"operation\":\"operation-type\",  ...",t:"JSON response body for object-based queries"},"1228":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query responses/JSON response body for operation-based queries.htm",a:"A JSON response for an operation-based query has this format: {     \"queryResult\":{     \t\"query\":{         \t\"end\":end-time-in-milliseconds,         \t\"start\":start-time-in-milliseconds    \t},     \"resultSet\":[{         {             \"urlName\":\"object-url\",             \"operation\":\"operation-type\",  ...",t:"JSON response body for operation-based queries"},"1229":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query responses/Response body contents.htm",a:"Response body contents Both XML and JSON have a single top-level queryResult entry.  The queryResult entry contains one of each of the entries listed in the table below.",t:"Response body contents"},"1230":{i:0.000278383010710421,u:"../Content/HCP Metadata Query API Reference/Query responses/query entry.htm",a:"query entry The query entry contains the entry and properties described in the table below.",t:"query entry"},"1231":{i:0.000278383010710421,u:"../Content/HCP Metadata Query API Reference/Query responses/resultSet entry.htm",a:"resultSet entry The resultSet entry has one child object entry for each object or operation record that matches the query criteria.",t:"resultSet entry"},"1232":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query responses/object entry.htm",a:"In XML, the object entries are child elements of the resultSet entry.  In JSON, the object entries are unnamed objects in the resultSet entry. The information that the object entry provides depends on the type of the query request: For object-based queries, each object entry provides information ...",t:"object entry"},"1233":{i:0.000278383010710421,u:"../Content/HCP Metadata Query API Reference/Query responses/status entry.htm",a:"status entry The status entry has the properties listed in the table below.",t:"status entry"},"1234":{i:0.000278383010710421,u:"../Content/HCP Metadata Query API Reference/Query responses/contentProperties entry.htm",a:"contentProperties entry If the request included a contentProperties entry with a value of true, the result has a contentProperties entry containing zero or more contentProperty entries.Each contentProperty entry contains the entries listed in the table below.",t:"contentProperties entry"},"1235":{i:0.000278383010710421,u:"../Content/HCP Metadata Query API Reference/Query responses/facets entry.htm",a:"facets entry The facets response entry has one or more child facet entries, as described in the table below.",t:"facets entry"},"1236":{i:0.000440179749319208,u:"../Content/HCP Metadata Query API Reference/Query responses/HTTP return codes.htm",a:"HTTP return codes The table below describes the possible HTTP return codes for metadata query API requests.",t:"HTTP return codes"},"1237":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Query responses/HTTP response headers.htm",a:"The response to a valid query request includes a Transfer-Encoding header with a value of chunked and an Expires header with a value of Thu, 01 Jan 1970 00:00:00 GMT. If the query request specifies a gzip-compressed response, the response includes a Content-Encoding header with a value of gzip. If ...",t:"HTTP response headers"},"1238":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Examples/Examples.htm",a:"This chapter contains examples of both object-based and operation-based queries.  The examples show some of the ways you can use the metadata query API to get information about namespace content.  Specifically, they show how to: With object-based queries: Query for objects based on custom metadata ...",t:"Examples"},"1239":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Examples/Object-based query examples.htm",a:"Object-based query examples This section contains examples of object-based queries.",t:"Object-based query examples"},"1240":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Examples/Querying for custom metadata content example.htm",a:"Here’s a sample metadata query API request that retrieves metadata for all objects that: Are in namespaces owned by the europe tenant Have custom metadata that contains an element named department with a value of Accounting The query uses an XML request body and requests results in JSON format. In ...",t:"Querying for custom metadata content example"},"1241":{i:0.000387102675218527,u:"../Content/HCP Metadata Query API Reference/Examples/Using a paged query to retrieve a list of all objects in a namespace example.htm",a:"The Java® example below implements a paged query that uses multiple requests to retrieve all objects in a namespace.  The example returns metadata for fifty objects per request and also returns information about the size and ingest time of each object in the result set. This example uses the ...",t:"Using a paged query to retrieve a list of all objects in a namespace example"},"1242":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Examples/Using a faceted query to retrieve object information example.htm",a:"Here’s a sample metadata query API request that retrieves metadata for all objects added to namespaces owned by the europe tenant between March 1, 2012, and March 31, 2012, inclusive.  The verbose entry specifies true to request all metadata for each object in the result set.  This request also ...",t:"Using a faceted query to retrieve object information example"},"1243":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Examples/Querying for replication collisions in a namespace example.htm",a:"Here’s a sample metadata query API request that retrieves metadata for all objects that are: Flagged as replication collisions In the finance namespace owned by the europe tenant The query uses an XML request body and requests results in XML format. This request returns only the URL, version ID, ...",t:"Querying for replication collisions in a namespace example"},"1244":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Examples/Listing content properties example.htm",a:"Here’s a sample metadata query API request that lists the content properties for all indexed objects in the medical namespace owned by the employees tenant.  The query uses an XML request body and requests results in XML format. Request body in the XML file named MedicalQuery.xml \u003cqueryRequest\u003e ...",t:"Listing content properties example"},"1245":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Examples/Operation-based query examples.htm",a:"Operation-based query examples This section contains examples of operation-based queries.",t:"Operation-based query examples"},"1246":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Examples/Retrieving all operation records for all existing and deleted objects in a directory example.htm",a:"Here’s a sample metadata query API request that retrieves operation records for all objects currently in or deleted from the sales namespace owned by the midwest tenant.  The query uses an XML request body and requests results in JSON format. The verbose entry is set to true to request detailed ...",t:"Retrieving all operation records for all existing and deleted objects in a directory example"},"1247":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Examples/Retrieving metadata for changed objects example.htm",a:"Here’s a sample metadata query API request that uses a JSON body specified directly in the cURL command line and Python code to retrieve operation records for objects that: Are in the finance namespace, which is owned by the europe tenant Were modified during 2011 The start entry specifies ...",t:"Retrieving metadata for changed objects example"},"1248":{i:0.000694035935313021,u:"../Content/HCP Metadata Query API Reference/Examples/Using a paged query to retrieve a large number of records example.htm",a:"The Python example below implements a paged query that uses multiple requests to retrieve a large number of operation records in batches of 50 per request.  This query retrieves records for all create operations on objects in the /customers/widgetco/orders directory in the default namespace and ...",t:"Using a paged query to retrieve a large number of records example"},"1249":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Examples/Checking for replication collisions example.htm",a:"Here’s a sample metadata query API request that checks whether any namespaces owned by the europe tenant currently contain objects that are flagged as replication collisions.  The response to the query does not include operation records for any of those objects, but the status of INCOMPLETE ...",t:"Checking for replication collisions example"},"1250":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Usage considerations/Usage considerations.htm",a:"Usage considerations This chapter contains usage considerations for the metadata query API.",t:"Usage considerations"},"1251":{i:0.000237933826058224,u:"../Content/HCP Metadata Query API Reference/Usage considerations/Hostname and IP address considerations for paged queries.htm",a:"For operation-based queries, HCP caches each query for a period of time on the node that receives the request.  If you use an IP address in the URL in each request, you access the cached query and avoid having to recreate the query with each request.  This can significantly improve the performance ...",t:"Hostname and IP address considerations for paged queries"},});